depends on foreign-types-shared-0.1

made it co-installable with newer versions, as event the latest version  (at this time) of
openssl crate depends on this being on v0.3, and v0.5 is not backwards compatible
